=== debian/changelog ===
joblib (1.3.2-5) unstable; urgency=medium

  * Team upload.
  * Let dh_auto_test execute the tests automatically. Closes: #1085691.
  * If the build machine has a single CPU, exclude tests which are
    known to fail. Closes: #1085692.

 -- Santiago Vila <sanvila@debian.org>  Mon, 04 Nov 2024 17:30:00 +0100

joblib (1.3.2-4) unstable; urgency=high

  * Team upload.
  * Source-only upload for migration to testing.

 -- Santiago Vila <sanvila@debian.org>  Thu, 17 Oct 2024 14:45:00 +0200

joblib (1.3.2-3) unstable; urgency=medium

  * Team upload.
  * d/patches/pytest8: forwarded patch upstream.
  * Adjust intersphinx-inventory patch to link against the packaged
    docs, not external websites. Also fix link to the docs in the
    "distributed" package.
  * Build the docs as a new binary package: python-joblib-doc. Closes: #959991
  * Added lintian override documenting the origin of the test pickle
    datafiles.
  * Updated some of the patch metadata
  * Added patch to remove last usage of distutils
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 14 Sep 2024 18:05:38 +0200

joblib (1.3.2-2) unstable; urgency=medium

  * Team upload
  * d/patches/pytest8: small adjustment for Pytest 8.x. Closes: #1063966
  * d/control: switch to PEP-517 building.
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 06 Mar 2024 10:14:32 +0100

joblib (1.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches memmap-byte-order and sphinx-warnings-no-errors,
    included upstream
  * Refresh remaining patches
  * Add conftest.py to debian/clean to avoid build-time test failure
  * New patches dont-count-DeprecationWarnings.patch and
    no-ast.Num.patch to avoid test failure with Python 3.12

 -- Graham Inggs <ginggs@debian.org>  Tue, 28 Nov 2023 14:14:41 +0000
