## joblib 1.4.2

=== debian/changelog ===
joblib (1.4.2-5) unstable; urgency=medium

  * Team upload.
  * Add build-dep on python3-pytest-asyncio for Pytest8.4

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 12:04:17 +0200

joblib (1.4.2-4) unstable; urgency=medium

  * Team upload.
  [ Chris Hofstaedtler ]
  * Apply upstream patch to fix test failures. Closes: #1101852.
  [ Santiago Vila ]
  * Add debian/salsa-ci.yml (without reprotest for now).
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 03 May 2025 19:50:00 +0200

joblib (1.4.2-3) unstable; urgency=medium

  * Team upload.
  * Also disable test_joblib_pickle_across_python_versions in autopkgtests
    (Closes: #1098247)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Feb 2025 14:55:07 +0100

joblib (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Exclude one test that only fails on buildd

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Feb 2025 16:23:56 +0100

joblib (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * Reformat d/control with debputy
  * New upstream version 1.4.2 (Closes: #1095024)
  * Refresh patches, two were applied upstream
  * Add upstream commit for Numpy 2.2 compatibility

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Feb 2025 12:28:26 +0100

joblib (1.3.2-6) unstable; urgency=medium

  * Team upload.
  * Remove dep on python3-pkg-resources (Closes: #1083444)
  * Remove recommends on python3-simplejson
  * Remove Py2 vs Py3 crumb from d/rules

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 14:37:18 +0100
