=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,13 @@
   EXCLUDE_TESTS += and not test_threadpool_limitation_in_child_override
 endif
 
+# This failled on buildd x86-grnet-03 but not on Salsa
+EXCLUDE_TESTS += and not test_joblib_pickle_across_python_versions
+
 export PYBUILD_NAME=joblib
-export PYBUILD_TEST_ARGS_python3 := -k "$(EXCLUDE_TESTS)"
+export PYBUILD_TEST_ARGS := -k "$(EXCLUDE_TESTS)" --confcutdir=.
+export PYBUILD_BEFORE_TEST=cp -v debian/conftest.py {build_dir}
+export PYBUILD_AFTER_TEST=rm -v {build_dir}/conftest.py
 
 %:
 	dh $@ --buildsystem=pybuild
