=== debian/tests/control ===
Tests:
 pytest,
Depends:
 python3-all,
 python3-joblib,
 python3-lz4,
 python3-numpy,
 python3-psutil,
 python3-pytest,
 python3-pytest-asyncio,
 python3-threadpoolctl,
Restrictions:
 allow-stderr,
