## joblib 1.5.2

=== debian/changelog ===
joblib (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Security-Contact.
  * Refreshed patches, forwarded one upstream, dropped two patches
    merged upstream.
  * d/rules: remove single-core workaround, upstream fixed the issue in
    1.5.0
  * Silenced some lintian false positives
  * Removed another patch for an issue fixed upstream.
  * d/rules: set $HOME to support matplotlib during the documentation
    generation
  * Added patch to strip out the local path to improve the reproducibility of
    the package.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 30 Nov 2025 11:54:56 +0100
