=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,6 @@
 # Until https://github.com/joblib/joblib/issues/1329 is open
 EXCLUDE_TESTS += and not test_parallel_with_interactively_defined_functions_default_backend
 
-# https://github.com/joblib/joblib/issues/1618
-ifeq ($(shell nproc), 1)
-  EXCLUDE_TESTS += and not test_nested_parallelism_limit
-  EXCLUDE_TESTS += and not test_threadpool_limitation_in_child_override
-endif
-
 # This failled on buildd x86-grnet-03 but not on Salsa
 EXCLUDE_TESTS += and not test_joblib_pickle_across_python_versions
 
@@ -22,6 +16,7 @@
 export PYBUILD_TEST_ARGS := -k "$(EXCLUDE_TESTS)" --confcutdir=.
 export PYBUILD_BEFORE_TEST=cp -v debian/conftest.py {build_dir}
 export PYBUILD_AFTER_TEST=rm -v {build_dir}/conftest.py
+export HOME=$(CURDIR)/debian
 
 %:
 	dh $@ --buildsystem=pybuild
